Error running YSPDO.PHP

Recommend this page to a friend!

      YSPDO  >  All threads  >  Error running YSPDO.PHP  >  (Un) Subscribe thread alerts  
Subject:Error running YSPDO.PHP
Summary:Error running YSPDO.PHP
Messages:3
Author:Lucas Albuquerque
Date:2016-09-04 01:56:03
 

  1. Error running YSPDO.PHP   Reply   Report abuse  
Picture of Lucas Albuquerque Lucas Albuquerque - 2016-09-04 01:56:03
Hi,

Whenever I try to load YSPDO.php script, I get the error message below:

PHP Parse error: syntax error, unexpected ':', expecting ';' or '{' in YSPDO.php on line 112

Any clue about how to fix it?

Thanks

  2. Re: Error running YSPDO.PHP   Reply   Report abuse  
Picture of Gabriel Almeida Gabriel Almeida - 2016-09-04 02:29:36 - In reply to message 1 from Lucas Albuquerque
Hi Lucas,

Your current version of PHP is not greater than or equal to 7

Almost all functions of the class uses return type declaration, which only is available from version 7 of php

More information (Return type declarations): http://php.net/manual/en/functions.returning-values.php#functions.returning-values.type-declaration

  3. Re: Error running YSPDO.PHP   Reply   Report abuse  
Picture of Lucas Albuquerque Lucas Albuquerque - 2016-09-04 16:02:23 - In reply to message 2 from Gabriel Almeida
Hi Gabriel,

Thanks for your reply. My PHP version is 5.5 yet. I'll perform the upgrade right now.

Best regards,

Lucas

 

For more information send a message to info at phpclasses dot org.